Authorize user on Easyship

Redirect a user for authentication on Easyship.

The endpoint is part of OAuth 2.0 Authorization Code flow.

Warning

This endpoint uses auth.easyship.com domain. The full URL, without query params, is https://auth.easyship.com/oauth2/authorize. This docs platform does not fully support OpenAPI and uses/displays the global URL instead of the correct one.

After successful authentication, the user will be redirected back to redirect_uri with a code (and state) parameter in the query string.

The code can then be exchanged for an access token using the OAuth2 Token endpoint with AUTHORIZATION_CODE request body.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

OAuth 2 Client ID

uri
required

OAuth 2 Redirect URI

string
enum
required
Allowed:
string
required

OAuth 2 Scopes separated by space. All Public API scopes are supported, but they must be allowed on the Partner Application on the Dashboard.

Warning

With the release of Public API 2024-09, we introduced new enhanced scopes. We support only 1 type of API scopes per OAuth 2 application. It is impossible to mix old and new scopes on a single application.

ScopeDescription
addressAddresses API (2023-01 and older)
address_validationAddress Validations API (2023-01 and older)
analyticsAnalytics API (2023-01 and older)
assetAssets API (2023-01 and older)
batchBatches API (2023-01 and older)
billing_documentBilling Documents API (2023-01 and older)
boxBoxes API (2023-01 and older)
courierCouriers API (2023-01 and older)
courier_accountCourier Accounts API (2023-01 and older)
creditCredits API (2023-01 and older)
custom_markup_rateCustom Markup Rates API (2023-01 and older)
efulfillmentE-Fulfillment API (2023-01 and older)
hs_codeHs Codes API (2023-01 and older)
labelLabels API (2023-01 and older)
locationLocations API (2023-01 and older)
manifestManifests API (2023-01 and older)
paymentPayments API (2023-01 and older)
payment_sourcePayment Sources API (2023-01 and older)
pickupPickups API (2023-01 and older)
productProducts API (2023-01 and older)
rateRates API (2023-01 and older)
referenceReferences API (2023-01 and older)
settingsSettings API (2023-01 and older)
shipmentShipments API (2023-01 and older)
shipment_documentShipment Documents API (2023-01 and older)
shipping_ruleShipping Rules API (2023-01 and older)
storeStores API (2023-01 and older)
tagTags API (2023-01 and older)
tax_and_dutyTax And Duties API (2023-01 and older)
trackTracks API (2023-01 and older)
track_3pTrack 3ps API (2023-01 and older)
transaction_recordTransaction Records API (2023-01 and older)
webhookWebhooks API (2023-01 and older)
public.address:readAddresses (read only) Public API (2024-09 and newer)
public.address:writeAddresses (write only) Public API (2024-09 and newer)
public.address_validation:writeAddress Validations (write only) Public API (2024-09 and newer)
public.analytics:readAnalytics (read only) Public API (2024-09 and newer)
public.app_access:writeApp Accesses (write only) Public API (2024-09 and newer)
public.asset:readAssets (read only) Public API (2024-09 and newer)
public.asset:writeAssets (write only) Public API (2024-09 and newer)
public.batch:readBatches (read only) Public API (2024-09 and newer)
public.batch:writeBatches (write only) Public API (2024-09 and newer)
public.billing_document:readBilling Documents (read only) Public API (2024-09 and newer)
public.billing_document:writeBilling Documents (write only) Public API (2024-09 and newer)
public.box:readBoxes (read only) Public API (2024-09 and newer)
public.box:writeBoxes (write only) Public API (2024-09 and newer)
public.courier:readCouriers (read only) Public API (2024-09 and newer)
public.courier:writeCouriers (write only) Public API (2024-09 and newer)
public.courier_service:readCourier Services (read only) Public API (2024-09 and newer)
public.credit:readCredits (read only) Public API (2024-09 and newer)
public.efulfillment:writeE-Fulfillment (write only) Public API (2024-09 and newer)
public.hs_code:readHs Codes (read only) Public API (2024-09 and newer)
public.label:writeLabels (write only) Public API (2024-09 and newer)
public.location:readLocations (read only) Public API (2024-09 and newer)
public.manifest:readManifests (read only) Public API (2024-09 and newer)
public.manifest:writeManifests (write only) Public API (2024-09 and newer)
public.payment:writePayments (write only) Public API (2024-09 and newer)
public.payment_source:readPayment Sources (read only) Public API (2024-09 and newer)
public.payment_source:writePayment Sources (write only) Public API (2024-09 and newer)
public.pickup:readPickups (read only) Public API (2024-09 and newer)
public.pickup:writePickups (write only) Public API (2024-09 and newer)
public.product:readProducts (read only) Public API (2024-09 and newer)
public.product:writeProducts (write only) Public API (2024-09 and newer)
public.rate:readRates (read only) Public API (2024-09 and newer)
public.redirect:writeRedirects (write only) Public API (2024-09 and newer)
public.reference:readReferences (read only) Public API (2024-09 and newer)
public.setting:readSettings (read only) Public API (2024-09 and newer)
public.setting:writeSettings (write only) Public API (2024-09 and newer)
public.shipment:readShipments (read only) Public API (2024-09 and newer)
public.shipment:writeShipments (write only) Public API (2024-09 and newer)
public.shipment_document:readShipment Documents (read only) Public API (2024-09 and newer)
public.shipping_rule:readShipping Rules (read only) Public API (2024-09 and newer)
public.shipping_rule:writeShipping Rules (write only) Public API (2024-09 and newer)
public.store:readStores (read only) Public API (2024-09 and newer)
public.tag:readTags (read only) Public API (2024-09 and newer)
public.tag:writeTags (write only) Public API (2024-09 and newer)
public.tax_and_duty:readTax And Duties (read only) Public API (2024-09 and newer)
public.track:readTracks (read only) Public API (2024-09 and newer)
public.track_3p:readTrack 3ps (read only) Public API (2024-09 and newer)
public.track_3p:writeTrack 3ps (write only) Public API (2024-09 and newer)
public.transaction_record:readTransaction Records (read only) Public API (2024-09 and newer)
public.webhook:readWebhooks (read only) Public API (2024-09 and newer)
public.webhook:writeWebhooks (write only) Public API (2024-09 and newer)
string

String that will be returned with the code to your redirect_uri (e.g., for validation).

Response
200

redirection

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!